Imports Telerik.OpenAccess

Module Module1

    Sub Main()
        Dim scope As IObjectScope = ObjectScopeProvider1.ObjectScope()
        scope.Transaction.Begin() 'Here is where the Transaction Starts

        Dim _customer As New Customer()
        _customer.CustomerName = "Bob"
        _customer.CustomerNumber = 123

        Dim _order As New Order()
        _order.OrderNumber = 44
        _customer.Orders.Add(_order)

        scope.Add(_customer)
        scope.Transaction.Commit() 'Here is where the Transaction is committed

    End Sub
End Module
